com.microfocus.awm.zos.util

## Class DsnUtilities

- java.lang.Object
- - com.microfocus.awm.zos.util.DsnUtilities

-     public class DsnUtilities
      extends java.lang.Object

  Utility class to parse data set names and full qualified member names.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DsnUtilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `containsMember(java.lang.String pFileName)` Determines if the given string contains a member name.
    `static java.lang.String` | `getDataSet(java.lang.String pFQMemberName)` Parses the data set name out of a full qualified member name (e.g.
    `static java.lang.String` | `getMember(java.lang.String pFQMemberName)` Parses the member name out of a full qualified member name (e.g.
    `static boolean` | `isDsNameValid(java.lang.String pDsName)` checks if the given data set name is a valid name of a MVS data set
    `static boolean` | `isMemberNameValid(java.lang.String pMemberName)` checks if the given member name is a valid member name of a MVS PO data set
    `static java.lang.String` | `stripQuotes(java.lang.String pFileName)` Removes quotation marks from a file name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DsnUtilities

          public DsnUtilities()

  - ### Method Detail

    - #### containsMember

          public static boolean containsMember(java.lang.String pFileName)

      Determines if the given string contains a member name.
      Parameters:
        `pFileName` - a valid data set name (with or without a member name)
      Returns:
        `true` if the given string contains a member name, `false` otherwise

    - #### getMember

          public static java.lang.String getMember(java.lang.String pFQMemberName)

      Parses the member name out of a full qualified member name (e.g. `HLQ.SLQ(MEMNAME)`)
      Parameters:
        `pFQMemberName` - a full qualified member name
      Returns:
        the member name or `null` if a data set name without member name is given

    - #### getDataSet

          public static java.lang.String getDataSet(java.lang.String pFQMemberName)

      Parses the data set name out of a full qualified member name (e.g. `HLQ.SLQ(MEMNAME)`)
      Parameters:
        `pFQMemberName` - a full qualified member name (or a data set name)
      Returns:
        the data set name or the given string itself, when no member name could be found

    - #### stripQuotes

          public static java.lang.String stripQuotes(java.lang.String pFileName)

      Removes quotation marks from a file name. If the given file name does not have quotation marks, it will be returned unchanged.

      E.g. `'HLQ.SLQ(TEST)' --> HLQ.SLQ(TEST)`

      Parameters:
        `pFileName` - a file name with quotes
      Returns:
        a file name without quotes (or the unchanged given file name, if it did not have quotation marks)

    - #### isMemberNameValid

          public static boolean isMemberNameValid(java.lang.String pMemberName)

      checks if the given member name is a valid member name of a MVS PO data set
      Parameters:
        `pMemberName` - member name to check
      Returns:
        `true` if the given member name is a valid member name of a MVS PO data set, otherwise `false`

    - #### isDsNameValid

          public static boolean isDsNameValid(java.lang.String pDsName)

      checks if the given data set name is a valid name of a MVS data set
      Parameters:
        `pDsName` - data set name to check
      Returns:
        `true` if the given data set name is a valid name of a MVS data set, otherwise `false`

Copyright © 2015 Micro Focus GmbH. All rights reserved.